[arch-commits] Commit in lesstifextensions/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 10 00:33:44 EDT 2009


    Date: Friday, April 10, 2009 @ 00:33:44
  Author: eric
Revision: 34547

Fixed svn conflict

Modified:
  lesstifextensions/repos/extra-x86_64/	(properties)
  lesstifextensions/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   31 ++++++++++++++++---------------
 1 file changed, 16 insertions(+), 15 deletions(-)


Property changes on: lesstifextensions/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /lesstifextensions/trunk:1
   + /lesstifextensions/trunk:1-34546

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-10 04:28:52 UTC (rev 34546)
+++ extra-x86_64/PKGBUILD	2009-04-10 04:33:44 UTC (rev 34547)
@@ -1,23 +1,24 @@
 # $Id$
 # Maintainer: dorphell <dorphell at archlinux.org>
-# Committer: Judd Vinet <jvinet at zeroflux.org>
+# Contributor: Judd Vinet <jvinet at zeroflux.org>
+
 pkgname=lesstifextensions
-pkgver=9.0.9
-pkgrel=3
+pkgver=13.0.13
+pkgrel=1
 pkgdesc="Extensions for lesstif"
-arch=(i686 x86_64)
-depends=('lesstif')
-source=(ftp://ftp.hungry.com/pub/hungry/lesstif/srcdist/LessTifExtensions-$pkgver.tar.gz)
-md5sums=('4cc27c1137cf2539c97a071ec72cb16d')
+arch=('i686' 'x86_64')
+url="http://sourceforge.net/projects/xlt/"
+license=('GPL' 'LGPL')
+depends=('lesstif' 'libxpm')
+makedepends=('libxaw')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/xlt/Xlt-$pkgver.tar.gz)
+md5sums=('46b6259c7637d6e9b87520eb91b6ea51')
 
 build() {
-  cd $startdir/src/LessTifExtensions-$pkgver
-if [ "$CARCH" == "x86_64" ]; then
-    ./configure --prefix=/usr --target=x86_64-unknown-linux-gnu
-  else ./configure --prefix=/usr
-fi
+  cd $srcdir/Xlt-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  rm -rf $startdir/pkg/usr/LessTif
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=$pkgdir mandir=/usr/share/man htmldir=/usr/share/doc/Xlt/html install || return 1
+  rm $pkgdir/usr/share/aclocal/ac_find_motif.m4
 }



More information about the arch-commits mailing list